Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.enterprise.control
Class AbstractListener

    java.lang.Object
      org.deegree.enterprise.control.AbstractListener

All Implemented Interfaces:
  EventListener, WebListener

Direct Known Subclasses:
  AbstractContextListener, AbstractDBListener, AbstractMapListener, AbstractSecuredListener, AbstractSimplePrintListener, AbstractSOSListener, AddServiceListener, AddWMSListener, DigitizeListener, DownloadListener, DownloadListener, EditServiceListener, EditSubadminRoleListener, GeometryValidator, GetSessionIDListener, GetUsersListener, GetWMSLayerListener, GetWMSLayerListener, InitCSWModuleListener, InitDigitizerModuleListener, InitGroupEditorListener, InitListener, InitRightsEditorListener, InitRoleEditorListener, InitSecuredObjectsEditorListener, InitServiceEditorListener, InitServicesEditorListener, InitSubadminRoleEditorListener, InitUserEditorListener, LoginListener, LoginUserListener, LogoutListener, LogoutUserListener, PrintListener, ReallyUpdateServiceListener, RecenterToLayerListener, RemoveServiceListener, ShoppingCartListener, SimpleSearchListener, StoreGroupsListener, StoreRightsListener, StoreRolesListener, StoreSecuredObjectsListener, StoreUsersListener, UpdateObjectsListener, UpdateServiceListener, WFSClientListener

    public abstract class AbstractListener

extends Object
implements WebListener

The abstract listener allows the reuse of basic functionality.

Version:
  $Revision: 18195 $
Author:
  Torsten Friebe, Andreas Poth

Constructor Summary
`AbstractListener()`

Method Summary
`abstract void` | `actionPerformed(FormEvent e)`
`String` | `getAlternativeNextPage()`
`String` | `getHomePath()`
`String` | `getInitParameter(String name)` returns a named initi parameter or `null` if the parameter is not known
`List<ParameterValueIm>` | `getInitParameterList()`
`String` | `getNextPage()`
`javax.servlet.ServletRequest` | `getRequest()`
`Object` | `getReturnValue()`
`protected void` | `gotoErrorPage(String message)`
`void` | `handle(FormEvent e)`
`void` | `setAlternativeNextPage(String target)`
`protected void` | `setDefaultAlternativeNextPage(String target)`
`protected void` | `setDefaultNextPage(String target)`
`(package private) void` | `setInitParameterList(List<ParameterValueIm> params)` sets the list of assigned initialization parameters
`void` | `setNextPage(String target)` Sets the next page for this request.
`void` | `setReturnValue(Object model)`
`protected HashMap<String,String>` | `toModel()` transforms the request to a set of name value pairs stored in a HashMap

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractListener

    public AbstractListener()

Method Detail

### actionPerformed

    public abstract void actionPerformed(FormEvent e)

  Specified by:
    `actionPerformed` in interface `WebListener`
  Parameters:
    `e` -

### handle

    public final void handle(FormEvent e)

  Parameters:
    `e` -

### getRequest

    public javax.servlet.ServletRequest getRequest()

  Returns:
    the servlet request

### getHomePath

    public String getHomePath()

  Returns:
    the path from the servlet context

### setDefaultNextPage

    protected final void setDefaultNextPage(String target)

  Parameters:
    `target` -

### setDefaultAlternativeNextPage

    protected final void setDefaultAlternativeNextPage(String target)

  Parameters:
    `target` -

### setNextPage

    public void setNextPage(String target)

  Sets the next page for this request.

  Parameters:
    `target` - the name of the next page

### getNextPage

    public String getNextPage()

  Returns:
    the name of the next page, or the default target

### setAlternativeNextPage

    public void setAlternativeNextPage(String target)

  Parameters:
    `target` -

### getAlternativeNextPage

    public String getAlternativeNextPage()

  Returns:
    the name of the alternative next page, or the alternative default target

### getReturnValue

    public Object getReturnValue()

  Returns:
    the return value

### setReturnValue

    public void setReturnValue(Object model)

  Parameters:
    `model` -

### gotoErrorPage

    protected void gotoErrorPage(String message)

  Parameters:
    `message` - the message for the error page

### setInitParameterList

    void setInitParameterList(List<ParameterValueIm> params)

  sets the list of assigned initialization parameters

  Parameters:
    `params` -

### getInitParameterList

    public List<ParameterValueIm> getInitParameterList()

  Returns:
    the list of assigned initialization parameters
  See Also:
    `setInitParameterList(List)`

### getInitParameter

    public String getInitParameter(String name)

  returns a named initi parameter or `null` if the parameter is not known

  Parameters:
    `name` -
  Returns:
    a named initi parameter or `null` if the parameter is not known

### toModel

    protected HashMap<String,String> toModel()

  transforms the request to a set of name value pairs stored in a HashMap

  Returns:
    map of request parameters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org